package com.yanzhu.jh.video.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 视频通道对象 sur_project_video_passage
 * 
 * @author JiangYuQi
 * @date 2023-08-25
 */
public class SurProjectVideoPassage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 视频主键 */
    @Excel(name = "视频主键")
    private Long videoId;

    /** 视频编号 */
    @Excel(name = "视频编号")
    private String videoDvrNumber;

    /** 通道名称 */
    @Excel(name = "通道名称")
    private String passageName;

    /** 视频通道 */
    @Excel(name = "视频通道")
    private Long passageValue;

    /** 视频通道状态 */
    @Excel(name = "视频通道状态")
    private String passageState;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setVideoId(Long videoId) 
    {
        this.videoId = videoId;
    }

    public Long getVideoId() 
    {
        return videoId;
    }
    public void setVideoDvrNumber(String videoDvrNumber) 
    {
        this.videoDvrNumber = videoDvrNumber;
    }

    public String getVideoDvrNumber() 
    {
        return videoDvrNumber;
    }
    public void setPassageName(String passageName) 
    {
        this.passageName = passageName;
    }

    public String getPassageName() 
    {
        return passageName;
    }
    public void setPassageValue(Long passageValue) 
    {
        this.passageValue = passageValue;
    }

    public Long getPassageValue() 
    {
        return passageValue;
    }

    public String getPassageState() {
        return passageState;
    }

    public void setPassageState(String passageState) {
        this.passageState = passageState;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("videoId", getVideoId())
            .append("videoDvrNumber", getVideoDvrNumber())
            .append("passageName", getPassageName())
            .append("passageValue", getPassageValue())
            .toString();
    }
}
